%define self ptcpas

%define fpc_ver 2.6.4

%ifarch %{ix86}
%define fpcarch i386
%else
%define fpcarch %{_arch}
%endif

%define unitdir %{_libdir}/fpc/%{fpc_ver}/units/%{fpcarch}-linux/

Summary:	A free, portable framebuffer library, written in Free Pascal
Name:		fpc-units-%{self}
# svn info -r HEAD https://ptcpas.svn.sourceforge.net/svnroot/ptcpas/trunk | grep Revision
Version:	503
Release:	5
Group:		Development/Pascal
License:	Modified LGPL
Url:		http://ptcpas.sourceforge.net/
# svn co https://ptcpas.svn.sourceforge.net/svnroot/ptcpas/trunk ptcpas-402
Source:		%{self}-%{version}.tar.gz
BuildRequires:	fpc
BuildRequires:	fpc-src
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xxf86dga)
BuildRequires:	pkgconfig(xxf86vm)
Requires:	fpc = %{fpc_ver}
Requires:	pkgconfig(x11)
Requires:	pkgconfig(xext)
Requires:	pkgconfig(xrandr)
Requires:	pkgconfig(xxf86dga)
Requires:	pkgconfig(xxf86vm)

%description
PTCPas is a free, portable framebuffer library, written in Free Pascal.
It allows low-level high-speed graphics access on multiple platforms and
is distributed under the terms of a modified (to allow static linking)
GNU LGPL license. Currently supports DirectX, X11, VBE1.2+ and
fakemodes. It has been tested on Windows (all versions since Windows 95;
on i386 and x86_64), Linux (i386, x86_64 and ppc), FreeBSD and DOS.

%files
%doc docs
%{unitdir}/%{self}
%config %{_sysconfdir}/%{self}.conf

#----------------------------------------------------------------------------

%package demos
Summary:	Demo applications for %{name}
Group:		Development/Pascal
Requires:	%{name}
Requires:	fpc

%description demos
Demo applications for %{name}.

%files demos
%{_libdir}/%{name}-demos

#----------------------------------------------------------------------------

%prep
%setup -qn %{self}-%{version}

find . -depth -name .svn -exec rm -rf {} \;

for N in core/*; do sed -i 's@/usr/share/ptcpas/ptcpas.conf@%{_sysconfdir}/%{self}.conf@' $N; done

%build
export FPCDIR=%{_datadir}/fpcsrc

./configure

make
make demos examples

%install
mkdir -p %{buildroot}%{unitdir}/%{self}
install units/%{fpcarch}-linux/* %{buildroot}%{unitdir}/%{self}
mkdir -p %{buildroot}%{_libdir}/%{name}-demos
cp -a demos examples %{buildroot}%{_libdir}/%{name}-demos
rm -rf %{buildroot}%{_libdir}/%{name}-demos/*/units
install -D ptcpas.cfg %{buildroot}%{_sysconfdir}/%{self}.conf


%changelog
* Sat Jul 12 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 503-5
+ Revision: e2b3750
- Force fpc version


